TimeSeries — GET /timeseries/recent

What it does

Returns the most recent value(s) from one or more time series without downloading a historical range.

Retrieves time series data from 28 days before to 14 days after the current date.

When to use

  • Dashboards needing the latest readings

  • Health checks and alerts for current conditions

GET /timeseries/recent - Endpoint Parameters

Parameter

Description

Required

When to Use

category-id

The text identifier for the time series category defined in the CWMS database for a specific time series.

To limit results to a specific assigned time series category.

group-id

The text identifier of the time series group defined in the CWMS database for a specific time series.

Only if ts-ids are NOT provided

To limit results to a specific assigned time series group.

ts-ids

CWMS database - time series

Only if group-id is NOT provided

To get the recent data for the specified time series.

unit-system

SI or EN, default: EN

To convert response data to a particular unit system.

office

office

office

Examples

  1. The user wants to retrieve the recent time series data for the specified time series IDs of
    STATION1.Flow.Inst.15Minutes.0.CWMS and STATION2.Stage.Inst.15Minutes.0.CWMS:
    (ts-ids) STATION1.Flow.Inst.15Minutes.0.CWMS,STATION2.Stage.Inst.15Minutes.0.CWMS

    and they want the data to be in the Imperial unit system:
    (unit-system) EN
    GET /timeseries/recent?ts-ids=STATION1.Flow.Inst.15Minutes.0.CWMS,STATION2.Stage.Inst.15Minutes.0.CWMS&unit-system=EN
    
  2. The user wants to retrieve the recent time series data for all time series in the CALC3 time series group:
    (group-id) CALC3
    GET /timeseries/recent?group-id=CALC3
    
  3. The user wants to retrieve the recent time series data for all time series in the CALC3 time series group:
    (group-id) CALC3

    and in the COMPUTE time series category:
    (category-id) COMPUTE

    for the HQ office:
    (office) HQ
    GET /timeseries/recent?group-ide=CALC3&category-id=COMPUTE&office=HQ
    

See the consolidated API documentation: API References.